# wcsspn

From cppreference.com
< c‎ | string‎ | wide

Defined in header `<wchar.h>` |  |
size_t wcsspn( const wchar_t* dest, const wchar_t* src ); |  | (since C95)

Returns the length of the maximum initial segment of the wide string pointed to by `dest`, that consists of only the characters found in wide string pointed to by `src`.

### Parameters

dest | - | pointer to the null-terminated wide string to be analyzed
src | - | pointer to the null-terminated wide string that contains the characters to search for

### Return value

The length of the maximum initial segment that contains only characters from wide string pointed to by `src`

### Example

| This section is incomplete Reason: no example

### References

- C11 standard (ISO/IEC 9899:2011):

  - 7.29.4.5.5 The wcsspn function (p: 436)

- C99 standard (ISO/IEC 9899:1999):

  - 7.24.4.5.5 The wcsspn function (p: 382)

### See also

wcscspn (C95) | returns the length of the maximum initial segment that consists of only the wide chars not found in another wide string (function)
wcspbrk (C95) | finds the first location of any wide character in one wide string, in another wide string (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=c/string/wide/wcsspn&oldid=76879"